#
# spec file for package nss_ldap (Version 183)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib db-devel gcc gdbm gettext heimdal-lib libtool libz openldap2 openldap2-client openldap2-devel openssl openssl-devel pam perl rpm

Name:         nss_ldap
License:      GPL
Group:        Productivity/Networking/LDAP/Clients
Autoreqprov:  on
Version:      183
Release:      117
Summary:      NSS LDAP Module
URL:          http://www.padl.com/nss_ldap.html
Source:       ftp://ftp.padl.com/pub/nss_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        nss_ldap-%{version}.dif
Patch1:       nss_ldap-%{version}-sigprocmask.dif 
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
nss_ldap is a glibc NSS module which allows X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Authors:
--------
    PADL Software Pty Ltd <dev@padl.com>

SuSE series: n

%prep
%setup
%patch1
%patch
cp -v  %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                        --prefix=/usr \
                        --enable-rfc2307bis \
			--libdir=%{_libdir} \
			--x-libraries=/usr/X11R6/%{_lib} \
			--with-ldap-conf-file=/etc/openldap/ldap.conf
make 

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/openldap
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 nss_ldap.so $RPM_BUILD_ROOT/%{_lib}/libnss_ldap.so.2
ln -s ../../%{_lib}/libnss_ldap.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_ldap.so

%clean
rm -fr $RPM_BUILD_ROOT

%files
%doc ANNOUNCE  COPYING ChangeLog NEWS AUTHORS  README README.SuSE nsswitch.ldap ldap.conf
/%{_lib}/libnss_ldap.so.2
%{_libdir}/libnss_ldap.so
%dir /etc/openldap

%changelog -n nss_ldap
* Thu Aug 29 2002 - tcrhak@suse.cz
- fixed sigprocmask bug (bug #18236)
* Mon Feb 04 2002 - tcrhak@suse.cz
- update to 183
- used %%{_lib} and %%{_lidir} macros
* Fri Nov 23 2001 - tcrhak@suse.cz
- update to version 174
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 167
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
- Add %%suse_update_config.
* Thu Apr 19 2001 - kukuk@suse.de
- Do not enable ids-uid, it is broken
* Wed Apr 18 2001 - pblaha@suse.cz
- back to /etc/openldap/ldap.conf
- update on version 150
- add URL
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 149
- add build root
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Mon Dec 11 2000 - kukuk@suse.de
- Update to 123
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib
* Thu Jun 01 2000 - kukuk@suse.de
- Update to 110
* Mon Apr 10 2000 - kukuk@suse.de
- Fix typo in path to config file
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 105
* Tue Oct 12 1999 - kukuk@suse.de
- Update to 87
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - kukuk@suse.de
- Update to 85
* Mon Jul 12 1999 - kukuk@suse.de
- Update to 81
- Add ldap.conf and README.SuSE to documentation
* Fri Jun 25 1999 - kukuk@suse.de
- Update to 2.77
* Wed Jun 09 1999 - kukuk@suse.de
- Update to 2.69
* Fri May 07 1999 - kukuk@suse.de
- Initial version of nss_ldap 2.64
